Package: org.gradle.platform.base

## [Java] Interface TypeBuilder<C>

- A TypeBuilder to configure read the implementation class of a type.

  Parameters:
    `` - The component type.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `TypeBuilder<C>` | `defaultImplementation(Class<? extends C> implementation)` Allows the plugin to register the implementation type.
    `TypeBuilder<C>` | `internalView(Class<?> internalView)`

- - ### Method Detail

    - #### public TypeBuilder<C> defaultImplementation(Class<? extends C> implementation)

      Allows the plugin to register the implementation type.

      Parameters:
        `implementation` - the implementation class.

    - #### public TypeBuilder<C> internalView(Class<?> internalView)